<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>S10X</title>
    <link href="../../../images/logo-icon.svg" rel="icon" type="image/svg">
    <script>var pathToRoot = "../../../";</script>
    <script>const storage = localStorage.getItem("dokka-dark-mode")
    if (storage == null) {
        const osDarkSchemePreferred = window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches
        if (osDarkSchemePreferred === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    } else {
        const savedDarkMode = JSON.parse(storage)
        if(savedDarkMode === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    }
    </script>
<script type="text/javascript" src="../../../scripts/sourceset_dependencies.js" async="async"></script>
<link href="../../../styles/style.css" rel="Stylesheet">
<link href="../../../styles/jetbrains-mono.css" rel="Stylesheet">
<link href="../../../styles/main.css" rel="Stylesheet">
<link href="../../../styles/prism.css" rel="Stylesheet">
<link href="../../../styles/logo-styles.css" rel="Stylesheet">
<script type="text/javascript" src="../../../scripts/clipboard.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/navigation-loader.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/platform-content-handler.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/main.js" defer="defer"></script>
<script type="text/javascript" src="../../../scripts/prism.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/symbol-parameters-wrapper_deferred.js" defer="defer"></script>
</head>
<body>
<div class="navigation-wrapper" id="navigation-wrapper">
    <div id="leftToggler"><span class="icon-toggler"></span></div>
    <div class="library-name">
            <a href="../../../index.html">
                    <span>bluconnect</span>
            </a>
    </div>
    <div>
    </div>
    <div class="pull-right d-flex">
        <div class="filter-section" id="filter-section">
                <button class="platform-tag platform-selector jvm-like" data-active="" data-filter=":bluconnect:dokkaHtml/release">androidJvm</button>
        </div>
        <button id="theme-toggle-button"><span id="theme-toggle"></span></button>
        <div id="searchBar"></div>
    </div>
</div>
<div id="container">
    <div id="leftColumn">
        <div id="sideMenu"></div>
    </div>
    <div id="main">
<div class="main-content" data-page-type="classlike" id="content" pageIds="bluconnect::com.aptener.bluconnect.device/S10X///PointingToDeclaration//-1410038383">
  <div class="breadcrumbs"><a href="../../../index.html">bluconnect</a><span class="delimiter">/</span><a href="../index.html">com.aptener.bluconnect.device</a><span class="delimiter">/</span><span class="current">S10X</span></div>
  <div class="cover ">
    <h1 class="cover"><span><span>S10X</span></span></h1>
    <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">interface </span><a href="index.html">S10X</a> : <a href="../-connected-blu-armor-device/index.html">ConnectedBluArmorDevice</a></div><p class="paragraph"><a href="index.html">S10X</a> supported features <span data-unresolved-link="com.aptener.bluconnect.device.control/DeviceInfoImpl///PointingToDeclaration/">DeviceInfoImpl</span> Metadata of active device <span data-unresolved-link="com.aptener.bluconnect.device.control/BatteryImpl///PointingToDeclaration/">BatteryImpl</span> Battery updates <span data-unresolved-link="com.aptener.bluconnect.device.control/VolumeImpl///PointingToDeclaration/">VolumeImpl</span> Offers volume controls <span data-unresolved-link="com.aptener.bluconnect.device.control/MediaPlayerImpl///PointingToDeclaration/">MediaPlayerImpl</span> Offers media player controls <span data-unresolved-link="com.aptener.bluconnect.device.control/DialerImpl///PointingToDeclaration/">DialerImpl</span> Offers dialer controls <span data-unresolved-link="com.aptener.bluconnect.device.control/VoiceAssistantImpl///PointingToDeclaration/">VoiceAssistantImpl</span> Invoke voice assistant ButtonClickImpl Observe and simulate button clicks <span data-unresolved-link="com.aptener.bluconnect.device.control/RideLynkImpl///PointingToDeclaration/">RideLynkImpl</span> Peer to peer intercom <span data-unresolved-link="com.aptener.bluconnect.device.control/RideGridImpl///PointingToDeclaration/">RideGridImpl</span> Mesh intercom <span data-unresolved-link="com.aptener.bluconnect.device.control/SecondPhoneControlSx///PointingToDeclaration/">SecondPhoneControlSx</span> Pair second phone <span data-unresolved-link="com.aptener.bluconnect.device.control/SpeedDialImpl///PointingToDeclaration/">SpeedDialImpl</span> Speed dial intercom <span data-unresolved-link="com.aptener.bluconnect.device.control/OtaSwitchImpl///PointingToDeclaration/">OtaSwitchImpl</span> Start OTA update</p></div></div>
  </div>
  <div class="tabbedcontent">
    <div class="tabs-section" tabs-section="tabs-section"><button class="section-tab" data-active="" data-togglable="CONSTRUCTOR,TYPE,FUNCTION,PROPERTY">Members</button></div>
    <div class="tabs-section-body">
      <div data-togglable="FUNCTION">
        <h2 class="">Functions</h2>
        <div class="table"><a data-name="-2019370162%2FFunctions%2F-1410038383" anchor-label="connectBluetoothClassic" id="-2019370162%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="connect-bluetooth-classic.html"><span>connect</span><wbr></wbr><span>Bluetooth</span><wbr></wbr><span><span>Classic</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-2019370162%2FFunctions%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">fun </span><a href="connect-bluetooth-classic.html"><span class="token function">connectBluetoothClassic</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span></div><div class="brief "><p class="paragraph">Initiate Bluetooth Classic pairing request. Once this method is called system emits a notification to accept the pairing request.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="502687166%2FFunctions%2F-1410038383" anchor-label="disconnectBluetoothClassic" id="502687166%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="disconnect-bluetooth-classic.html"><span>disconnect</span><wbr></wbr><span>Bluetooth</span><wbr></wbr><span><span>Classic</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="502687166%2FFunctions%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">fun </span><a href="disconnect-bluetooth-classic.html"><span class="token function">disconnectBluetoothClassic</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span></div><div class="brief "><p class="paragraph">Disconnect Bluetooth Classic.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="296480633%2FFunctions%2F-1410038383" anchor-label="factoryReset" id="296480633%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="factory-reset.html"><span>factory</span><wbr></wbr><span><span>Reset</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="296480633%2FFunctions%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">fun </span><a href="factory-reset.html"><span class="token function">factoryReset</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span></div><div class="brief "><p class="paragraph">Factory reset wipes all the data from BluArmor device</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1173248263%2FFunctions%2F-1410038383" anchor-label="reboot" id="-1173248263%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="reboot.html"><span><span>reboot</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1173248263%2FFunctions%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">fun </span><a href="reboot.html"><span class="token function">reboot</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span></div><div class="brief "><p class="paragraph">Restarts the device</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="886246276%2FFunctions%2F-1410038383" anchor-label="rename" id="886246276%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="rename.html"><span><span>rename</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="886246276%2FFunctions%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">fun </span><a href="rename.html"><span class="token function">rename</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">name<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a></span></span><span class="token punctuation">)</span></div><div class="brief "><p class="paragraph">Changes the device name and Restarts the device in order to reflect new name.</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-783472342%2FFunctions%2F-1410038383" anchor-label="turnOff" id="-783472342%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="turn-off.html"><span>turn</span><wbr></wbr><span><span>Off</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-783472342%2FFunctions%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">fun </span><a href="turn-off.html"><span class="token function">turnOff</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span></div><div class="brief "><p class="paragraph">Turns off the device</p></div></div></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div data-togglable="PROPERTY">
        <h2 class="">Properties</h2>
        <div class="table"><a data-name="433475375%2FProperties%2F-1410038383" anchor-label="battery" id="433475375%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="battery.html"><span><span>battery</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="433475375%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="battery.html">battery</a><span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.sxcontrol/-battery/index.html">Battery</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1265378241%2FProperties%2F-1410038383" anchor-label="bluetoothDevice" id="-1265378241%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../-connected-blu-armor-device/bluetooth-device.html"><span>bluetooth</span><wbr></wbr><span><span>Device</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1265378241%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="../-connected-blu-armor-device/bluetooth-device.html">bluetoothDevice</a><span class="token operator">: </span><a href="https://developer.android.com/reference/kotlin/android/bluetooth/BluetoothDevice.html">BluetoothDevice</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1122018157%2FProperties%2F-1410038383" anchor-label="buddiesDataSource" id="-1122018157%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="buddies-data-source.html"><span>buddies</span><wbr></wbr><span>Data</span><wbr></wbr><span><span>Source</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1122018157%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="buddies-data-source.html">buddiesDataSource</a><span class="token operator">: </span><a href="../../com.aptener.bluconnect.repo/-buddies-data-source/index.html">BuddiesDataSource</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="679840609%2FProperties%2F-1410038383" anchor-label="buttonClickSX" id="679840609%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="button-click-s-x.html"><span>button</span><wbr></wbr><span>Click</span><wbr></wbr><span><span>SX</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="679840609%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="button-click-s-x.html">buttonClickSX</a><span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.sxcontrol/-button-click-s-x/index.html">ButtonClickSX</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="513668826%2FProperties%2F-1410038383" anchor-label="deviceInfo" id="513668826%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="device-info.html"><span>device</span><wbr></wbr><span><span>Info</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="513668826%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="device-info.html">deviceInfo</a><span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.sxcontrol/-device-info/index.html">DeviceInfo</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1532097121%2FProperties%2F-1410038383" anchor-label="deviceName" id="1532097121%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../-blu-armor-device/device-name.html"><span>device</span><wbr></wbr><span><span>Name</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1532097121%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="../-blu-armor-device/device-name.html">deviceName</a><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token operator">?</span></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1533614465%2FProperties%2F-1410038383" anchor-label="dialer" id="1533614465%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="dialer.html"><span><span>dialer</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1533614465%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="dialer.html">dialer</a><span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.sxcontrol/-dialer/index.html">Dialer</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1274233641%2FProperties%2F-1410038383" anchor-label="mediaPlayer" id="-1274233641%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="media-player.html"><span>media</span><wbr></wbr><span><span>Player</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1274233641%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="media-player.html">mediaPlayer</a><span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.sxcontrol/-media-player/index.html">MediaPlayer</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-2012640241%2FProperties%2F-1410038383" anchor-label="model" id="-2012640241%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="../-blu-armor-device/model.html"><span><span>model</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-2012640241%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="../-blu-armor-device/model.html">model</a><span class="token operator">: </span><a href="../-blu-armor-model/index.html">BluArmorModel</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-2017085076%2FProperties%2F-1410038383" anchor-label="otaSwitch" id="-2017085076%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="ota-switch.html"><span>ota</span><wbr></wbr><span><span>Switch</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-2017085076%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="ota-switch.html">otaSwitch</a><span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.sxcontrol/-ota-switch/index.html">OtaSwitch</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1019007814%2FProperties%2F-1410038383" anchor-label="rawBytesInterface" id="1019007814%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="raw-bytes-interface.html"><span>raw</span><wbr></wbr><span>Bytes</span><wbr></wbr><span><span>Interface</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1019007814%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="raw-bytes-interface.html">rawBytesInterface</a><span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.sxcontrol/-raw-bytes-interface/index.html">RawBytesInterface</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1279622108%2FProperties%2F-1410038383" anchor-label="rideLynk" id="1279622108%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="ride-lynk.html"><span>ride</span><wbr></wbr><span><span>Lynk</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1279622108%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="ride-lynk.html">rideLynk</a><span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.sxcontrol/-ride-lynk/index.html">RideLynk</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="379908698%2FProperties%2F-1410038383" anchor-label="sdkPrefDataSource" id="379908698%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="sdk-pref-data-source.html"><span>sdk</span><wbr></wbr><span>Pref</span><wbr></wbr><span>Data</span><wbr></wbr><span><span>Source</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="379908698%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="sdk-pref-data-source.html">sdkPrefDataSource</a><span class="token operator">: </span><a href="../../com.aptener.bluconnect.repo/-sdk-pref-data-source/index.html">SdkPrefDataSource</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1108092162%2FProperties%2F-1410038383" anchor-label="secondPhone" id="1108092162%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="second-phone.html"><span>second</span><wbr></wbr><span><span>Phone</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1108092162%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="second-phone.html">secondPhone</a><span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.sxcontrol/-second-phone/index.html">SecondPhone</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1416627301%2FProperties%2F-1410038383" anchor-label="speedDial" id="1416627301%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="speed-dial.html"><span>speed</span><wbr></wbr><span><span>Dial</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1416627301%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="speed-dial.html">speedDial</a><span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.sxcontrol/-speed-dial/index.html">SpeedDial</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1606792832%2FProperties%2F-1410038383" anchor-label="speedDialDataSource" id="-1606792832%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="speed-dial-data-source.html"><span>speed</span><wbr></wbr><span>Dial</span><wbr></wbr><span>Data</span><wbr></wbr><span><span>Source</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1606792832%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="speed-dial-data-source.html">speedDialDataSource</a><span class="token operator">: </span><a href="../../com.aptener.bluconnect.repo/-speed-dial-data-source/index.html">SpeedDialDataSource</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-2068745611%2FProperties%2F-1410038383" anchor-label="testInterface" id="-2068745611%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="test-interface.html"><span>test</span><wbr></wbr><span><span>Interface</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-2068745611%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="test-interface.html">testInterface</a><span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.sxcontrol/-test-interface/index.html">TestInterface</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1446707299%2FProperties%2F-1410038383" anchor-label="voiceAnnouncement" id="1446707299%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="voice-announcement.html"><span>voice</span><wbr></wbr><span><span>Announcement</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1446707299%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="voice-announcement.html">voiceAnnouncement</a><span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.sxcontrol/-voice-announcement/index.html">VoiceAnnouncement</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="1221774770%2FProperties%2F-1410038383" anchor-label="voiceAssistant" id="1221774770%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="voice-assistant.html"><span>voice</span><wbr></wbr><span><span>Assistant</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1221774770%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="voice-assistant.html">voiceAssistant</a><span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.sxcontrol/-voice-assistant/index.html">VoiceAssistant</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1365852422%2FProperties%2F-1410038383" anchor-label="voiceNoteRecorder" id="-1365852422%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="voice-note-recorder.html"><span>voice</span><wbr></wbr><span>Note</span><wbr></wbr><span><span>Recorder</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1365852422%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="voice-note-recorder.html">voiceNoteRecorder</a><span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.sxcontrol/-voice-note-recorder/index.html">VoiceNoteRecorder</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-937781980%2FProperties%2F-1410038383" anchor-label="volume" id="-937781980%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
          <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="volume.html"><span><span>volume</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-937781980%2FProperties%2F-1410038383"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">abstract </span><span class="token keyword"></span><span class="token keyword">val </span><a href="volume.html">volume</a><span class="token operator">: </span><a href="../../com.aptener.bluconnect.device.sxcontrol/-volume/index.html">Volume</a></div></div></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
      <div class="footer">
        <span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>© 2023 Copyright</span><span
                class="pull-right"><span>Generated by </span><a
                href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span>
      </div>
    </div>
</div>
</body>
</html>
